تخطّي إلى المحتوى

FFmpeg API Compose

التكامل

معرّف النموذج ffmpeg-api/compose
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/compose?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "tracks": [
      {
        "id": "your-id",
        "type": "example",
        "keyframes": [
          {
            "timestamp": 1,
            "duration": 1,
            "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
          }
        ]
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

هذا الطلب: ≈⁨‏0.001 $⁩ 1 رصيد API تشغيله في هذه الصفحة

الحصول على مفتاح API

يدمج عدة مسارات في فيديو واحد، مع مسار مرئي واحد بالضبط وأي عدد من المسارات الصوتية

Utility · بيانات (JSON)

ستظهر نتيجتك الأولى هنا

أنشئ طلبًا أدناه وشغّله باستخدام مفتاح API الخاص بك. تُنسخ المخرجات إلى تخزيننا، وتُحفظ إلى الأبد أو لمدة 7 أيام مجانًا.

إنشاء طلب

تُنشأ عناصر التحكم من مخطط النموذج. يتحدّث الرمز والسعر عند تغييرها.

•مطلوب

قائمة المسارات لتجميع الوسائط النهائية، وتتكون من مسار فيديو أو صورة واحد تمامًا، إضافة إلى عدد غير محدود من مسارات الصوت.

POST /run/ffmpeg-api/compose?wait=20 عرض السعر → ⁨‏0.001 $⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/compose?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "tracks": [
      {
        "id": "your-id",
        "type": "example",
        "keyframes": [
          {
            "timestamp": 1,
            "duration": 1,
            "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
          }
        ]
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

تشغيل هذا الطلب

يبقى مفتاحك في هذا المتصفح: لا يُرسل إلا إلى Doitong API ويُحفظ في localStorage فقط إذا فعّلت خيار التذكّر. الحصول على مفتاح API

حول FFmpeg API Compose

ينشئ فيديو نهائيًا من قائمة `tracks`. يجب أن تحتوي القائمة على مسار مرئي واحد بالضبط، سواء كان فيديو أو صورة، ويمكن أن تتضمن أي عدد من المسارات الصوتية. يكون الإخراج JSON مع `video_url` و`thumbnail_url`.

المعاملات

الاسمالنوع الافتراضيمسموح الوصف
tracksمطلوب
النوعobject[]
قائمة المسارات لتجميع الوسائط النهائية، وتتكون من مسار فيديو أو صورة واحد تمامًا، إضافة إلى عدد غير محدود من مسارات الصوت.
tracks[].idمطلوب
النوعstring
معرّف يحدد المسار بشكل فريد.
tracks[].typeمطلوب
النوعstring
فئة المسار: 'video' أو 'audio' أو 'image'.
tracks[].keyframesمطلوب
النوعobject[]
الإطارات المفتاحية التي يتكون منها المسار، مقدّمة كقائمة.
tracks[].keyframes[].timestampمطلوب
النوعnumber
وقت بدء الإطار المفتاحي، بالمللي ثانية.
tracks[].keyframes[].durationمطلوب
النوعnumber
مدة الإطار المفتاحي، بالمللي ثانية.
tracks[].keyframes[].urlمطلوب
النوعstring
عنوان URL يوفّر الوصول إلى ملف الوسائط لهذا الإطار المفتاحي.
مطلوب

المخرجات

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ffmpeg-api/compose",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "tracks": [
      {
        "id": "your-id",
        "type": "example",
        "keyframes": [
          {
            "timestamp": 1,
            "duration": 1,
            "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
          }
        ]
      }
    ]
  },
  "output": {
    "video_url": "string",
    "thumbnail_url": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ملفاتك، خيارككل outputs[].url هو نسخة على تخزيننا: تُحفظ إلى الأبد (مع الدفع لكل غيغابايت-شهر) أو لمدة 7 أيام مجانًا، وفق إعداد حسابك أو ?storage=.
البنية نفسها في كل نموذجtype وurl وcontent_type وwidth وheight وduration للصور والفيديو والصوت على حد سواء. output هو كائن النتائج الخاص بالنموذج.
حقول المخرجات
video_url
string (video URL)عنوان URL يشير إلى الفيديو المعالَج.
thumbnail_url
stringعنوان URL يشير إلى الصورة المصغّرة للفيديو.

مزيد من النماذج: من فيديو إلى فيديو

لوكلاء الذكاء الاصطناعي: تتوفر هذه الصفحة بصيغة Markdown على https://doitong.com/ar/developers/models/ffmpeg-api/compose.md. جميع النماذج والأدلة: https://doitong.com/developers/llms.txt